Subject: bug#20824: closed (Re: bug#20824: configure --disable-daemon no longer works)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 16 Jun 2015 08:33:03 +0000

Your bug report

#20824: configure --disable-daemon no longer works

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20824: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20824
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20824: configure --disable-daemon no longer works
From: [email-masked] (Ludovic Courtès)
To: Mark H Weaver <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Jun 2015 10:32:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver <[email-masked]> skribis:

> It appears that --disable-daemon has become broken in our build system.
> I have periodically built guix from git on hydra with --disable-daemon,
> but this now leads to the following error in fef3cfa:
>
>   CXXLD    guix-daemon
> g++: no input files
> make[2]: *** [guix-daemon] Error 1

Fixed in acec3be.  Thanks!

Ludo’.

Subject: configure --disable-daemon no longer works
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Tue, 16 Jun 2015 01:54:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

It appears that --disable-daemon has become broken in our build system.
I have periodically built guix from git on hydra with --disable-daemon,
but this now leads to the following error in fef3cfa:

--8<---------------cut here---------------start------------->8---
  CXXLD    guix-daemon
g++: no input files
make[2]: *** [guix-daemon] Error 1
--8<---------------cut here---------------end--------------->8---

I've attached a full transcript of the failure.

      Mark